Bug 722444 - Review Request: python-celery - Distributed Task Queue
Summary: Review Request: python-celery - Distributed Task Queue
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: python-celery (view as bug list)
Depends On: 722407
Blocks: 697483
TreeView+ depends on / blocked
 
Reported: 2011-07-15 11:10 UTC by Andrew Colin Kissa
Modified: 2011-11-28 09:01 UTC (History)
4 users (show)

Fixed In Version: python-celery-2.2.7-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-31 04:02:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pj.pandit: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Colin Kissa 2011-07-15 11:10:45 UTC
Spec URL: http://topdog-software.com/oss/SRPMS/fedora/python-celery/python-celery.spec
SRPM URL: http://topdog-software.com/oss/SRPMS/fedora/python-celery/python-celery-2.2.7-2.fc15.src.rpm
Description: An open source asynchronous task queue/job queue based on
distributed message passing. It is focused on real-time
operation, but supports scheduling as well.

The execution units, called tasks, are executed concurrently
on one or more worker nodes using multiprocessing, Eventlet
or gevent. Tasks can execute asynchronously (in the background)
or synchronously (wait until ready).

Celery is used in production systems to process millions of
tasks a day.

Celery is written in Python, but the protocol can be implemented
in any language. It can also operate with other languages using
webhooks.

The recommended message broker is RabbitMQ, but limited support
for Redis, Beanstalk, MongoDB, CouchDB and databases
(using SQLAlchemy or the Django ORM) is also available.

Comment 1 Andrew Colin Kissa 2011-07-15 11:11:32 UTC
*** Bug 611277 has been marked as a duplicate of this bug. ***

Comment 2 pjp 2011-07-15 18:20:54 UTC
[X] Package name - ok.
[X] Package group - ok.
[X] Build successful - ok.

[X] rpmlint SRPMS/python-celery-2.2.7-2.fc14.src.rpm
python-celery.src: W: spelling-error %description -l en_US gevent -> event, gerent, g event
python-celery.src: W: spelling-error %description -l en_US webhooks -> web hooks, web-hooks, billhooks
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

  - ok.

[X] rpmlint RPMS/noarch/python-celery-2.2.7-2.fc14.noarch.rpm 
python-celery.noarch: E: explicit-lib-dependency python-importlib
python-celery.noarch: W: spelling-error %description -l en_US webhooks -> web hooks, web-hooks, billhooks
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.2.7/docs/.static
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.2.7/docs/.static
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.2.7/docs/.templates
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.2.7/docs/.templates
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.2.7/docs/.static/.keep
python-celery.noarch: E: zero-length /usr/share/doc/python-celery-2.2.7/docs/.static/.keep
python-celery.noarch: W: no-manual-page-for-binary celeryctl
python-celery.noarch: W: no-manual-page-for-binary celeryd
python-celery.noarch: W: no-manual-page-for-binary camqadm
python-celery.noarch: W: no-manual-page-for-binary celeryev
python-celery.noarch: W: no-manual-page-for-binary celeryd-multi
python-celery.noarch: W: no-manual-page-for-binary celerybeat
1 packages and 0 specfiles checked; 2 errors, 12 warnings.

   - ...please remove the errors.


[X] Install/Un-install - fails.

# yum localinstall python-celery-2.2.7-2.fc14.noarch.rpm 
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Local Package Process
Examining python-celery-2.2.7-2.fc14.noarch.rpm: python-celery-2.2.7-2.fc14.noarch
Marking python-celery-2.2.7-2.fc14.noarch.rpm to be installed
http://download.lab.bos.redhat.com/rel-eng/brew/fedora/14/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - ""
Trying other mirror.
Resolving Dependencies
--> Running transaction check
---> Package python-celery.noarch 0:2.2.7-2.fc14 set to be installed
--> Processing Dependency: pyparsing for package: python-celery-2.2.7-2.fc14.noarch
--> Processing Dependency: python-dateutil for package: python-celery-2.2.7-2.fc14.noarch
--> Processing Dependency: python-importlib for package: python-celery-2.2.7-2.fc14.noarch
--> Processing Dependency: python-kombu for package: python-celery-2.2.7-2.fc14.noarch
--> Processing Dependency: python-multiprocessing for package: python-celery-2.2.7-2.fc14.noarch
--> Running transaction check
---> Package pyparsing.noarch 0:1.5.6-1.fc14 set to be installed
---> Package python-celery.noarch 0:2.2.7-2.fc14 set to be installed
--> Processing Dependency: python-importlib for package: python-celery-2.2.7-2.fc14.noarch
--> Processing Dependency: python-kombu for package: python-celery-2.2.7-2.fc14.noarch
--> Processing Dependency: python-multiprocessing for package: python-celery-2.2.7-2.fc14.noarch
---> Package python-dateutil.noarch 0:1.4.1-5.fc14 set to be installed
--> Finished Dependency Resolution
Error: Package: python-celery-2.2.7-2.fc14.noarch (/python-celery-2.2.7-2.fc14.noarch)
           Requires: python-multiprocessing
Error: Package: python-celery-2.2.7-2.fc14.noarch (/python-celery-2.2.7-2.fc14.noarch)
           Requires: python-importlib
Error: Package: python-celery-2.2.7-2.fc14.noarch (/python-celery-2.2.7-2.fc14.noarch)
           Requires: python-kombu
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 4 pjp 2011-07-16 09:03:26 UTC
[X] Package name - ok.
[X] Package group - ok.
[X] Package license - ok.
[X] Build successful - ok.

[X] rpmlint SRPMS/python-celery-2.2.7-3.fc14.src.rpm
python-celery.src: W: spelling-error %description -l en_US gevent -> event, gerent, g event
python-celery.src: W: spelling-error %description -l en_US webhooks -> web hooks, web-hooks, billhooks
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

  - ok.

[X] rpmlint RPMS/noarch/python-celery-2.2.7-3.fc14.noarch.rpm 
python-celery.noarch: W: spelling-error %description -l en_US webhooks -> web hooks, web-hooks, billhooks
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.2.7/docs/.static
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.2.7/docs/.static
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.2.7/docs/.templates
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.2.7/docs/.templates
python-celery.noarch: W: no-manual-page-for-binary celeryctl
python-celery.noarch: W: no-manual-page-for-binary celeryd
python-celery.noarch: W: no-manual-page-for-binary camqadm
python-celery.noarch: W: no-manual-page-for-binary celeryev
python-celery.noarch: W: no-manual-page-for-binary celeryd-multi
python-celery.noarch: W: no-manual-page-for-binary celerybeat
1 packages and 0 specfiles checked; 0 errors, 11 warnings.

   - ok.

Install/Un-install - ok

Overall good.

Comment 5 pjp 2011-07-16 09:04:09 UTC
Approved.

Comment 6 Andrew Colin Kissa 2011-07-16 09:10:27 UTC
Thanks for the review,

New Package SCM Request
=======================
Package Name: python-celery
Short Description: Distributed Task Queue
Owners: topdog
Branches: f14 f15 el5 el6
InitialCC:

Comment 7 Gwyn Ciesla 2011-07-16 14:39:15 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-07-16 20:21:37 UTC
python-celery-2.2.7-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-celery-2.2.7-3.fc15

Comment 9 Fedora Update System 2011-07-16 20:22:33 UTC
python-celery-2.2.7-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-celery-2.2.7-3.fc14

Comment 10 Fedora Update System 2011-07-16 20:24:00 UTC
python-celery-2.2.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-celery-2.2.7-3.el6

Comment 11 Fedora Update System 2011-07-16 20:28:18 UTC
python-celery-2.2.7-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-celery-2.2.7-3.el5

Comment 12 Fedora Update System 2011-07-18 22:29:40 UTC
python-celery-2.2.7-3.fc15 has been pushed to the Fedora 15 testing repository.

Comment 13 Fedora Update System 2011-07-31 04:01:57 UTC
python-celery-2.2.7-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-07-31 04:02:37 UTC
python-celery-2.2.7-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-08-16 20:58:10 UTC
python-celery-2.2.7-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2011-11-28 09:01:02 UTC
python-celery-2.2.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-celery-2.2.8-1.el5


Note You need to log in before you can comment on or make changes to this bug.